label{margin-bottom: 0;}

input[type="search"] {
	background-color: #fbfbfb;
	border: 1px solid #aaa!important;
	-webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.15);
	box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.15);
}
input[type="search"]:focus {
	box-shadow: 0 0 5px 0 rgba(255,153,0,1);
	background-color:lightcyan;
	outline: 0;
	ime-mode:active;
}

#header{
	user-select:none;
	position: relative;
	left:0;
	top:-41px;
	right:0;
	height: 41px;
	background-color: #000;
	z-index:100000;
	transition:all .05s ease-out;
}

.h-menu{
	color: white;
	background-color: transparent;
	border: none;
	padding: 6px 3px;
	cursor: pointer;
	pointer-events: all;
	outline: none;
}

#footer{
	position: absolute;
	left:0;
	bottom:0;
	right:0;
	height: 26px;
	background-color: #000;
	z-index:100000;
	transition:all .05s ease-out;
}

.f-cap{
	padding-left: 7px;
	color: #dddddd;
	font-size: 13px;
	line-height: 26px;
	user-select:none;
}

.f-text{
	display: inline-block;
	padding-left: 4px;
	color: #dddddd;
	font-size: 13px;
	line-height: 26px;
	min-width:40px;
	user-select:none;
}

.switch {
	position: relative;
	display: block;
	vertical-align: top;
	width: 100%;
	height: 32px;
	border-radius: 18px;
	cursor: pointer;
	box-sizing:content-box;
}

#chartw {
	max-width:600px;
	width:40%;
	position:fixed;
	right:0;
	transition:0.5s;
	z-index: 1000000;
}
.chart-canvas{
	display: block;
	box-sizing: border-box;
	touch-action: auto;
	user-select: none;
	-webkit-user-drag: none;
	-webkit-tap-highlight-color: rgb(255, 255, 255);
	background-color: rgb(206, 220, 232);
	position: absolute;
	top: 0px;
	border-radius: 0px 10px;
	padding: 10px;
}
#chart_title{
	color: white;
	background-color: #222;
	height: 24px;
	padding: 2px 0 9px 7px;
	font-size: 14px;
}
#chart_content{
	position: relative;
	height: calc(100% - 20px);
	overflow-y: scroll;
	background-color: white;
}
.chart-style{
	border-style: solid;
}
#chart_datepicker {
	margin: 2px 5px 0 25px;
	height: 20px;
}
.chart_btn{
	cursor:pointer;
}

#search{
	margin: 8px 3px;
	height: 29px;
	border-width: thick;
	border-color: cadetblue;
	width:35vw;
	font-size: 16px;
	vertical-align: top;
	box-shadow:5px 5px 10px rgba(0, 0, 0, 0.5) inset;
	display:none;
}

#tools {
	position: absolute;
	left: 36px;
	width: calc(100% - 44px);
	height:40px;
	top: 1px;
}

#chkGPSbase {
	width:45px;
	top:6px;
	position:relative;
}

.switch-input {
	position: absolute;
	top: 0;
	left: 0;
	opacity: 0;
	box-sizing:content-box;
}
.switch-label {
	position: relative;
	display: block;
	height: inherit;
	font-size: 16px;
	font-weight: bold;
	text-transform: uppercase;/*大文字変換*/
	background: #626262;
	border-radius: inherit;
	/*box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.12), inset 0 0 2px rgba(0, 0, 0, 0.15);*/
	box-sizing:content-box;
}
.switch-label:before, .switch-label:after {
	position: absolute;
	top: 50%;
	margin-top: -.5em;
	line-height: 1;
	-webkit-transition: inherit;
	-moz-transition: inherit;
	-o-transition: inherit;
	transition: inherit;
	box-sizing:content-box;
}
.switch-label:before {
	content: attr(data-off);
	right: 11px;
	color: #aaaaaa;
	/*text-shadow: 0 1px rgba(255, 255, 255, 0.5);*/
}
.switch-label:after {
	content: attr(data-on);
	left: 11px;
	color: #FFFFFF;
	/*text-shadow: 0 1px rgba(0, 0, 0, 0.2);*/
	opacity: 0;
}
.switch-input:checked ~ .switch-label {
	background: rgb(65, 163, 255);
}
.switch-input:checked ~ .switch-label:before {opacity: 0;}
.switch-input:checked ~ .switch-label:after {opacity: 1;}
.switch-handle {
	position: absolute;
	top: 2px;
	left: 2px;
	width: 28px;
	height: 28px;
	font-size: 12px;
	line-height: 28px;
	font-family: math;
	background: linear-gradient(to bottom, #FFFFFF 40%, #f0f0f0);
	background-image: -webkit-linear-gradient(top, #FFFFFF 40%, #f0f0f0);
	border-radius: 100%;
	box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.2);
}
.switch-input:checked ~ .switch-handle {
	left: 17px;
	box-shadow: -1px 1px 5px rgba(0, 0, 0, 0.2);
}
.switch-label, .switch-handle {
	transition: All 0.1s ease;
	-webkit-transition: All 0.1s ease;
	-moz-transition: All 0.1s ease;
	-o-transition: All 0.1s ease;
}
.btn-warning{
	border-radius: 15%;
	font-size: 25px;
	line-height: 30px;
	text-align: center;
	cursor: pointer;
	margin-top: 3px;
	margin-bottom: 2px;
}

.fa_stack {
	position: fixed;
	display: inline-block;
	top: 0px;
	right: 2px;
	width: 44px;
	height: 44px;
	line-height: 44px;
	vertical-align: middle;
}
.fa_stack_h {
	position: absolute;
	left: 0;
	width: 100%;
	text-align: center;
	line-height: inherit;
	font-size:32px;
}
.fa-inverse {
	color: rgba(0,0,0,0.7);
	margin-left: 1.2rem;
}

span[data-badge]:before {
    position: absolute;
    display: inline-block;
    font-weight: bold;
    background-color: #f00;
    border-radius: 50%;
    font-size: 1em;
    line-height: 1;
    min-width: 1em;
    padding: 5px;
    border: 2px solid #fff;
    box-shadow: 0px 0px 3px #999;
    z-index: 999999;
    color: white;
    text-align: center;
    pointer-events: none;
}

span[data-badge]:before {
    top: 16px;
    transform: translate(50%, -50%);
    content: attr(data-badge)"";
}

.cesium-baseLayerPicker-check{
	position: absolute;
	z-index: 1;
	margin: 3px 5px;
	background:white;
}
 
